Bug 418731 - "couldn't read 4 bytes from client" in /var/log/messages [NEEDINFO]
"couldn't read 4 bytes from client" in /var/log/messages
Status: CLOSED DUPLICATE of bug 354041
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/forum/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 15:22 EST by Christoph Wickert
Modified: 2015-03-03 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: needinfo? (tbzatek)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 511285 None None None Never

  None (edit)
Description Christoph Wickert 2007-12-10 15:22:50 EST
Description of problem:
After upgrading to F8 gnome-keyring daemon blows up /var/log/messages with the
error message: "couldn't read 4 bytes from client:"

Version-Release number of selected component (if applicable):
gnome-keyring-2.20.2-1.fc8

How reproducible:
always

Steps to Reproduce:
1. upgrade to F8 from FC6 or F7
2. configure an email account in evolution if you haven't already
3. sudo tail -f /var/log/messages
  
Actual results:
gnome-keyring-manager is spamming /var/log/messages
Dec 10 19:11:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:11:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:12:04 wicktop ntpd[2225]: synchronized to 141.40.103.103, stratum 2
Dec 10 19:16:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:21:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:26:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 19:31:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:36:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 19:41:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:46:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 19:51:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 19:56:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:01:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 20:06:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:11:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 20:16:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:21:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 20:26:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:31:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 20:36:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:41:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
Dec 10 20:46:11 wicktop gnome-keyring-daemon[2954]:last message repeated 2 times
Dec 10 20:51:11 wicktop gnome-keyring-daemon[2954]: couldn't read 4 bytes from
client: 
...
and so on

Additional info:
The error is caused by evolution, because the 5 minute interval is when evo is
checking mail. Also appears as soon as I manually send/receive mail in evo and
has been confirmed by other users, see
http://forums.fedoraforum.org/forum/showthread.php?p=914467 and
http://www.fedoraforum.de/viewtopic.php?t=13703
- All these users updated to F8 and kept their homedir.
- Doesn't seem to be related to SELinux because it is in permissive mode here.
- Removing my keyrings and let gnome-keyring create new ones didn't help ether.
Comment 1 Mikkel Lauritsen 2008-02-18 08:28:09 EST
This is apparently a duplicate of bug 354041
Comment 2 Christoph Wickert 2008-02-18 09:56:45 EST
Not sure, because I don't see high CPU usage here at all. Also deleting and
recreating the key rings did not solve the problem.
Comment 3 Chris Hubick 2008-04-21 19:58:33 EDT
I see this as well.  Fully updated F8, Evolution user.
Comment 4 Christoph Wickert 2008-06-13 15:40:58 EDT
Ping.

I still see this on F9, fresh install but $HOME kept. Obviously it's not only
limited to evolution, the message also appears when evo is not started and
network-manager is the only client using the keyring daemon.
Comment 5 Jon Burgess 2008-07-02 18:15:59 EDT
This should be fixed by the patch applied for the upstream bug
http://bugzilla.gnome.org/show_bug.cgi?id=511285
Comment 6 Patrick O'Callaghan 2008-10-17 10:15:57 EDT
I'm getting this same behaviour in F9 using gnome-keyring-2.22.3-1.fc9.x86_64 and gnome-keyring-pam-2.22.3-1.fc9.x86_64. I use Evolution 2.22.3.1 under KDE 4.1.2 and the log messages appear in spurts every 10 minutes.

I tried removing ~/.gnome2/keyrings/login.keyring and restarting the session, but to no avail (the keyring file was recreated though).
Comment 7 Christoph Wickert 2009-01-11 12:39:52 EST
Tomáš, any plans to fix this or just wait for the bugzappers to close it?
Comment 8 Patrick O'Callaghan 2009-01-12 08:47:04 EST
I haven't been checking this, but I took a look just now and apparently it's no longer happening. I'm now on F10 (fully updated), with gnome-keyring-2.24.1-1.fc10.x86_64 and gnome-keyring-pam-2.24.1-1.fc10.x86_64. There is one message in the logs saying:

/var/log/messages:Jan 11 22:32:26 bree gnome-keyring-daemon[3356]: couldn't write 146 bytes to client: Broken pipe

but that may be something else.
Comment 9 Christoph Wickert 2009-03-29 11:19:48 EDT
Ping!
Comment 10 Christoph Wickert 2009-05-29 17:52:37 EDT
Another ping, or just wait for the bug-zappers to close this?
Comment 11 Patrick O'Callaghan 2009-05-29 19:43:28 EDT
I'm now on F11-pre and it's still not happening: gnome-keyring-2.26.1-1.fc11.x86_64.
Comment 12 Christoph Wickert 2009-05-29 20:47:57 EDT
I can confirm that it no longer happens on F-10 and F-11, nevertheless I think this should be fixed, especially since the fix was already mentioned in comment #5.
Comment 13 Bug Zapper 2009-06-09 19:16:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:33:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Christoph Wickert 2009-07-14 13:39:45 EDT
A sad day for Fedora. Obviously maintainers don't care about their bugs and don't even bother to write a single comment into a bug report - not even if the solution is already mentioned in the report and if the bug is flagged NEEDINFO.

For better tracking I now close this bug duplicate of bug 354041.

*** This bug has been marked as a duplicate of bug 354041 ***

Note You need to log in before you can comment on or make changes to this bug.